Bug 675087 (CVE-2011-0051)

Summary: CVE-2011-0051 Mozilla recursive eval call causes confirm dialog to evaluate to true (MFSA 2011-02)
Product: [Other] Security Response Reporter: Huzaifa S. Sidhpurwala <huzaifas>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: gecko-bugs-nobody, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20110301,reported=20110204,source=mozilla,impact=critical,cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,rhel-6.0.z/firefox=affected,rhel-5.6.z/firefox=affected,rhel-4.8.z/firefox=affected,rhel-4.8.z/seamonkey=affected,rhel-5.6.z/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-4.8.z/thunderbird=affected/impact=moderate/cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-12 17:43:00 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Huzaifa S. Sidhpurwala 2011-02-04 04:10:44 EST
Security researcher Zach Hoffman reported that a recursive call 
to eval() wrapped in a try/catch statement places the browser 
into a inconsistent state. Any dialog box opened in this state is 
displayed without text and with non-functioning buttons. 
Closing the window causes the dialog to evaluate to true. 

An attacker could use this issue to force a user into accepting 
any dialog, such as one granting elevated privileges to the page 
presenting the dialog.
Comment 1 Vincent Danen 2011-03-01 18:18:02 EST
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-02.html
Comment 2 errata-xmlrpc 2011-03-01 20:10:01 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:0310 https://rhn.redhat.com/errata/RHSA-2011-0310.html
Comment 3 errata-xmlrpc 2011-03-01 20:21:03 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:0312 https://rhn.redhat.com/errata/RHSA-2011-0312.html
Comment 4 errata-xmlrpc 2011-03-01 20:31:32 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0313 https://rhn.redhat.com/errata/RHSA-2011-0313.html